bcr_test_module:
  module_path: ""
  matrix:
    platform:
      - debian10
      - macos
      - ubuntu2004
      - windows
    bazel:
      - 7.x
      - 8.x
  tasks:
    verify_instrumentation:
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - "--//:codspeed_mode=instrumentation"
      build_targets:
        - "//:codspeed"
        - "//:instrument_hooks"
    verify_simulation:
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - "--//:codspeed_mode=simulation"
      build_targets:
        - "//:codspeed"
        - "//:instrument_hooks"
    verify_walltime:
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - "--//:codspeed_mode=walltime"
      build_targets:
        - "//:codspeed"
        - "//:instrument_hooks"
    verify_off:
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - "--//:codspeed_mode=off"
      build_targets:
        - "//:codspeed"
        - "//:instrument_hooks"
